This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268958 - sudo - cmnd_no_wait can cause child processes to ignore SIGPIPE
sudo - cmnd_no_wait can cause child processes to ignore SIGPIPE
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sudo (Show other bugs)
7.1
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Kopeček
Stefan Kremen
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 14:15 EDT by Dalibor Pospíšil
Modified: 2016-11-03 16:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: sudo-1.8.6p7-18.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1094548
Environment:
Last Closed: 2016-11-03 16:31:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (554 bytes, patch)
2016-05-10 05:16 EDT, Daniel Kopeček
no flags Details | Diff

  None (edit)
Description Dalibor Pospíšil 2015-10-05 14:15:02 EDT
+++ This bug was initially created as a clone of Bug #1094548 +++

Description of problem:

The bug 1094548 appears to be present also on RHEL7.

Version-Release number of selected component (if applicable):
sudo-1.8.6p7-13.el7


How reproducible:

Always


Steps to Reproduce:

1. Set "Defaults cmnd_no_wait" in /etc/sudoers

2. Run the following command all together:

    $ sudo -k; sudo bash -c "yes | fold | head -n1"

   Note: As mentioned below, the sudo -k is important to ensure there
         is an out of date cache. [1]

Actual results:

 Sudo ignores SIGPIPE somewhere in the authentication stack, perhaps
 in src/tgetpass.c.  Thus the command hangs.


Expected results:

  The chain executed by sudo should not hang in these cases.
Comment 3 Daniel Kopeček 2016-05-10 05:16 EDT
Created attachment 1155628 [details]
proposed patch
Comment 7 errata-xmlrpc 2016-11-03 16:31:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2593.html

Note You need to log in before you can comment on or make changes to this bug.